edu.isi.pegasus.planner.dax

## Enum Invoke.WHEN

- java.lang.Object
- - java.lang.Enum<Invoke.WHEN>
  - - edu.isi.pegasus.planner.dax.Invoke.WHEN

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Invoke.WHEN>

Enclosing class:
  Invoke

    public static enum Invoke.WHEN
    extends java.lang.Enum<Invoke.WHEN>

WHEN To INVOKE

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`all`
`at_end`
`never`
`on_error`
`on_success`
`start`

### Method Summary

All Methods Static Methods Concrete Methods
`static Invoke.WHEN` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Invoke.WHEN[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### never

    public static final Invoke.WHEN never

#### start

    public static final Invoke.WHEN start

#### on_success

    public static final Invoke.WHEN on_success

#### on_error

    public static final Invoke.WHEN on_error

#### at_end

    public static final Invoke.WHEN at_end

#### all

    public static final Invoke.WHEN all

### Method Detail

#### values

    public static Invoke.WHEN[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Invoke.WHEN c : Invoke.WHEN.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Invoke.WHEN valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null